aboutsummaryrefslogtreecommitdiff
path: root/ncurses/base/MKlib_gen.sh
diff options
context:
space:
mode:
authorBaptiste Daroussin <bapt@FreeBSD.org>2020-02-19 16:58:06 +0000
committerBaptiste Daroussin <bapt@FreeBSD.org>2020-02-19 16:58:06 +0000
commit72c3fc31f590566e93496732d6fa769cd353e270 (patch)
treea62fdfa38fcc1f5b8e8680c144a09e8fa9436cb5 /ncurses/base/MKlib_gen.sh
parentf0179cb6083cc92e5947ae56e6a0a5c5328aead0 (diff)
downloadsrc-72c3fc31f590566e93496732d6fa769cd353e270.tar.gz
src-72c3fc31f590566e93496732d6fa769cd353e270.zip
import ncurses 6.2-20200215vendor/ncurses/6.2-20200215
Notes
Notes: svn path=/vendor/ncurses/dist/; revision=358125 svn path=/vendor/ncurses/6.2-20200215/; revision=358126; tag=vendor/ncurses/6.2-20200215
Diffstat (limited to 'ncurses/base/MKlib_gen.sh')
-rwxr-xr-xncurses/base/MKlib_gen.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/ncurses/base/MKlib_gen.sh b/ncurses/base/MKlib_gen.sh
index a1587c424452..c8e4efe0c8d1 100755
--- a/ncurses/base/MKlib_gen.sh
+++ b/ncurses/base/MKlib_gen.sh
@@ -2,10 +2,11 @@
#
# MKlib_gen.sh -- generate sources from curses.h macro definitions
#
-# ($Id: MKlib_gen.sh,v 1.62 2018/06/09 19:27:00 tom Exp $)
+# ($Id: MKlib_gen.sh,v 1.64 2020/02/15 14:58:02 tom Exp $)
#
##############################################################################
-# Copyright (c) 1998-2017,2018 Free Software Foundation, Inc. #
+# Copyright 2018,2020 Thomas E. Dickey #
+# Copyright 1998-2016,2017 Free Software Foundation, Inc. #
# #
# Permission is hereby granted, free of charge, to any person obtaining a #
# copy of this software and associated documentation files (the "Software"), #
@@ -73,7 +74,7 @@ USE="$3"
# determine if we are using gcc, and if so, what version because the proposed
# solution uses a nonstandard option.
PRG=`echo "$1" | $AWK '{ sub(/^[ ]*/,""); sub(/[ ].*$/, ""); print; }' || exit 0`
-FSF=`"$PRG" --version 2>/dev/null || exit 0 | fgrep "Free Software Foundation" | head -n 1`
+FSF=`("$PRG" --version 2>/dev/null || exit 0) | fgrep "Free Software Foundation" | head -n 1`
ALL=`"$PRG" -dumpversion 2>/dev/null || exit 0`
ONE=`echo "$ALL" | sed -e 's/\..*$//'`
if test -n "$FSF" && test -n "$ALL" && test -n "$ONE" ; then